import React , { useState } from 'react';
import {useMegaMenuCategories} from '../../peregrine/lib/talons/MegaMenuAdvance/useMegaMenu';
import GET_MEGAMENU_CATEGORIES_QUERY from '../../queries/getMegaMenuCategories.graphql';
import MenuCategory from './category.js';
const MegaMenuCategories = (props) => {
    const {parentCategoryId,isParentCategory} = props;
    const { megaMenuCategories } = useMegaMenuCategories({
        categoryQuery: GET_MEGAMENU_CATEGORIES_QUERY,
        parentCategoryId: parentCategoryId
    });
    const parentCategories = megaMenuCategories.map((val, index) => {
        return (
            <MenuCategory category={val} key={index} isParentCategory={isParentCategory}/>
        )
    });
    return(
        <>
        {parentCategories}
        </>
    )
}
export default MegaMenuCategories;